org.eclipse.incquery.runtime.api

## Class GenericMatchProcessor

- java.lang.Object
- - org.eclipse.incquery.runtime.api.GenericMatchProcessor

- All Implemented Interfaces:
    IMatchProcessor<IPatternMatch>

      public abstract class GenericMatchProcessor
      extends java.lang.Object
      implements IMatchProcessor<IPatternMatch>

  A generic, abstract match processor for handling matches as arrays. Clients should derive an (anonymous) class that implements the abstract process().
  Author:
    Bergmann Gábor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericMatchProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(IPatternMatch match)` Defines the action that is to be executed on each match.
    `abstract void` | `process(java.lang.Object[] parameters)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericMatchProcessor

          public GenericMatchProcessor()

  - ### Method Detail

    - #### process

          public void process(IPatternMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<IPatternMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method

    - #### process

          public abstract void process(java.lang.Object[] parameters)

      Defines the action that is to be executed on each match.
      Parameters:
        `parameters` - a single match of the pattern that must be processed by the implementation of this method, represented as an array containing the values of each pattern parameter